Skip to main content
`Ctrl`+`K`

# PetscObjectSAWsBlock

Blocks the object if `PetscObjectSAWsSetBlock()` has been called

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectSAWsBlock(PetscObject obj)

Collective

## Input Parameter

- obj - the PETSc variable

## See Also

`PetscObjectSetName()`, `PetscObjectSAWsViewOff()`, `PetscObjectSAWsSetBlock()`, `PetscSAWsBlock()`

## Level

advanced

## Location

src/sys/ams/pams.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages